

function GameScreen:InitScreen()
    self:LoadScreen()
    self:init_dlg({"cue_right", "cue_left"}, {"Cue_21", "Cue_21a"})
    
    self:FadeOut();
    
    self.active = false;
    DelayedExec(0.1, function()
        self.active = true
    end)
end


function GameScreen:LoadScreen()
	--[[---Background---]]--
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "comics_back_trigger", "graphics/trigger", 0, 0, REAL_WINDOW_WIDTH*2, REAL_WINDOW_HEIGHT*2);
	ItemSetOpacity("comics_back_trigger", 0.01)
	
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "villager_eve_21", "graphics/screens/21_wood/comics/villager_eve_21", 16, 174);
	
	self:CreateObj(OBJ_TYPE.NO_ACTIVE, "cue_left", "graphics/interface/comics/cue_left", 260, 842);
	self:CreateObj(OBJ_TYPE.NO_ACTIVE, "cue_right", "graphics/interface/comics/cue_right", 358, 838);
	ItemSetOpacity("cue_left", 0.0)
	ItemSetOpacity("cue_right", 0.0)
	
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_21a", "graphics/screens/21_wood/comics/Cue_21a", 389, 928);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_21", "graphics/screens/21_wood/comics/Cue_21", 424, 1021);
end